Package ru.bitel.bgbilling.plugins.sqleditor.common.service

# Interface SqlEditorService

public interface SqlEditorService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `databaseList()`
  Список БД
  `String`
  `doQuery(String databaseId, String query, Page page, String email)`
  Выполнение запроса
  `List<Pair<String,String>>`
  `getColumnsOfTable(String tableName)`
  список колонок в таблице бд, (тип, имя)
  `List<String>`
  `getTableNamesList()`
  список таблиц бд
  `void`
  `templateDelete(int sqlTemplateId)`
  Удаление SQL шаблона
  `String`
  `templateList()`
  список сохранённых шаблонов
  `void`
  `templateUpdate(String sqlTemplateTitle, String sql, boolean all)`
  Сохранение SQL шаблона

- ## Method Details

  - ### templateList

    String templateList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    список сохранённых шаблонов
    Returns:
      возврат json [{"id", "title", "query", "allSee"}]
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### templateUpdate

    void templateUpdate(String sqlTemplateTitle, String sql, boolean all) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Сохранение SQL шаблона
    Parameters:
      `sqlTemplateTitle` - название шаблона
      `sql` - запрос для сохранения в шаблон
      `all` - флаг, видим ли данный шаблон для всех
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### templateDelete

    void templateDelete(int sqlTemplateId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Удаление SQL шаблона
    Parameters:
      `sqlTemplateId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### databaseList

    String databaseList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Список БД
    Returns:
      список баз данных json[{"id", "title"}]
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### doQuery

    String doQuery(String databaseId, String query, Page page, String email) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Выполнение запроса
    Parameters:
      `databaseId` - id базы данных для запроса
      `query` - тело запроса
      `page` - постраничный доступ к результатам
      `email` - почта, куда отправляется результат выполнения запроса, если выбрана отправка на почту
    Returns:
      JSON ответ с данными ответа на запрос
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getTableNamesList

    List<String> getTableNamesList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    список таблиц бд
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getColumnsOfTable

    List<Pair<String,String>> getColumnsOfTable(String tableName)
    список колонок в таблице бд, (тип, имя)